/*****************************************************************************
  variables amb la definicio del problema subministrades per l'usuari
  i d'altres no subministrades pero requerides
*****************************************************************************/
int nar, nat ,nnu, nnux, ncb, nlb, *mnl, *mnk, *arccb, *artcb, *numcb, iexit;
double *cap, *cost, *cmt, *inj, *lowcb, *upcb, *coefcb, *flux, inf;
double *u_fcb, *rhscb, **pcap, **pcost, **pinj, **pflux, *coefcb2, *xcmt,
  *xcb, totalflow;
int n,nu,nl,nfcb,nfcbu,nfcbl,m,np,nxcmt;
int *inik, *mnl2, *arck_l, *inil, *mnk2, *arcl_k, *inicb, *arcb2, *pcb, 
  *ipcb, *iactcmt;
char *removedcmt;

/****************************************************************************
  variables auxiliars ipk, ipl
*****************************************************************************/
K_L_ARC *ipk, *ipl;

/****************************************************************************
  variables per permutacions de files (nusos) de A* (matriu de xarxa)
  pfa,ipfa: permutacio files de A* i inversa permutacio.
*****************************************************************************/
int *pfa, *ipfa;

/****************************************************************************
  variables per usar SPARSPAK
  xadj(nnu+1): indexs a matriu d'adjacencia
  ajcncy(2*(nparelles-nnu)): 2*nombre d'arcs del graf generat per A*A(t) 
                     sense comptar els arcs (i,i) (diagonals de A*A(t))
  xlnz(nnu+1): indexs a primer per columna/fila de lnz(.)
  lnzdiag(nat*(maxlnz+nnu)): elements sub(sobre) i diagonals de ASA^t i del 
         seu Cholesky.
  plnz(nat): punter a inici de lnz(k) k=1..nat
  pdiag(nat): punter a inici de diag(k) k=1..nat
  xnzsub(nnu+1): indexs a nzsub (compressed scheme). 
  nzsub(maxsub): columna/fila de cada element de lnz (compressed scheme).
*****************************************************************************/
int *xadj, *ajcncy, *ajcncy2, *workspak, *w1spak, *w2spak, *w3spak, *w4spak, 
  *xlnz, *xnzsub, *nzsub, maxlnz, maxsub;
double *rhspak, *lnzdiag, **plnz, **pdiag;

/****************************************************************************
  variables d'indexs 

  ilnz(njka): indexs a lnz(.) i diag(.) de cada element no zero de A*S*A(t)).
  iarc(.),ini_arc(np+1): punters a arcs que intervenen en la creacio de 
                        cada element de lnz().
  iarc_incident(.),ini_nus(nnu+1): punters a arcs que intervenen en la creacio
                        de cada element de diag().

  per tal de crear eficientment  A*S*A(t) (A matriu de xarxa). 
*****************************************************************************/
int *ilnz, *ifillin, maxfillin, *iarc, maxiarc, *ini_arc, 
  *iarc_incident, maxinci, *ini_nus;

/****************************************************************************
  variables per valors relacionats amb la resolucio iterativa dels sistemes
  del primal-dual.
*****************************************************************************/
char   zpf, zdf, zgap;
int    it, ctline, output_freq, nb1, nb2, cgit, totcgit, tipusprec, 
  m_pw_prec, sig_dig;
double *s, *z, *f, *w, *y, *r, *dy, *bdy, *dx, *dw, *dz, sigma, rho, gap,
  optim_gap, optim_pfeas, optim_dfeas, fprimal, fdual, mu, alfa_p, alfa_d,
  epsmach, pinf, dinf, normb, normc, escal_s, 
  **psk, *scmt, *scb,    *zcmt, *zcb, *wcmt, *wcb,
  *ycmt, *ycb,   *dycmt, *dycb,   *bdycmt, *bdycb,   *dzcmt, *dzcb,  
  *fcmt, *fcb,   *dxcmt, *dxcb, *rcmt, *rcb, *beta, 
  *d_gc, epscg, *rcg, *zcg, *pcg; 


